
Dashboard - Bug #44620

mgr/dashboard: Pool form max size

03/16/2020 12:07 PM - Stephan Müller

Status: Resolved % Done: 0%

Priority: Normal   

Assignee: Stephan Müller   

Category: Component - Pools   

Target version: v16.0.0   

Source:  Affected Versions:  

Tags:  ceph-qa-suite:  

Backport: octopus Pull request ID: 35051

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

Currently the pool form max size is determined by "max_size" of the selected rule or the maximum amount of available OSDs. The

amount can be wrong if the failure domain of the rule is not OSD.

I'm also currently not sure if "max_size" and "min_size" are useful values to show, at least pools created on a vstart cluster always

show the same min and max size values. Please make that sure that those values can still be used safely.

Related issues:

Copied to Dashboard - Backport #45889: octopus: mgr/dashboard: Pool form max ... Resolved

Copied to Dashboard - Backport #46387: nautilus: mgr/dashboard: Pool form max... Rejected

History

#1 - 04/28/2020 03:41 PM - Stephan Müller

- Status changed from New to In Progress

#2 - 05/13/2020 04:59 PM - Stephan Müller

- Status changed from In Progress to Fix Under Review

- Pull request ID set to 32829

#3 - 05/13/2020 05:00 PM - Stephan Müller

- Backport set to octopus

#4 - 06/03/2020 01:39 PM - Lenz Grimmer

- Status changed from Fix Under Review to Pending Backport

- Target version set to v16.0.0

#5 - 06/04/2020 11:57 AM - Nathan Cutler

- Copied to Backport #45889: octopus: mgr/dashboard: Pool form max size added

#6 - 07/02/2020 11:25 AM - Stephan Müller

- Pull request ID changed from 32829 to 35051

Somehow I copied the wrong PR ID. Change it to the right ID. Sorry for the irritation among the backporters.

#7 - 07/06/2020 01:45 PM - Stephan Müller
- Backport changed from octopus to octopus, nautilus

#8 - 07/07/2020 11:11 AM - Nathan Cutler

- Copied to Backport #46387: nautilus: mgr/dashboard: Pool form max size added

#9 - 04/22/2021 08:19 AM - Ernesto Puerta

- Tracker changed from Fix to Bug

- Project changed from mgr to Dashboard

- Category changed from 137 to Component - Pools

- Regression set to No

- Severity set to 3 - minor

#10 - 02/06/2022 10:29 AM - Konstantin Shalygin

- Status changed from Pending Backport to Resolved

- Backport changed from octopus, nautilus to octopus
